## libmsn 4.2.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
project(libmsn)

option( ENABLE_DEBUG "Enable debug flags" FALSE)

if (ENABLE_DEBUG)
    add_definitions(-DDEBUG)
endif (ENABLE_DEBUG)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
# find directories for openssl
find_package(OpenSSL REQUIRED)

set (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${OPENSSL_INCLUDE_DIR})
add_subdirectory(msn)

if(NOT WIN32)
add_subdirectory(msntest)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libmsn.pc.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/libmsn.pc
               @ONLY )

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/libmsn.pc
         DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig
         COMPONENT Devel )
endif(NOT WIN32)

## libmsn 4.2

=== debian/changelog ===
libmsn (4.2-2) unstable; urgency=low

  * Fix build failure with GCC 4.7. Closes: #667249. Thanks to Matthias
    Klose and Jonathan Wiltshire for the fix.
  * Bump standards to 3.9.3 (no changes required)
  * Add descriptions to patches

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Sun, 13 May 2012 19:50:37 +0200

libmsn (4.2-1) unstable; urgency=medium

  * New upstream version. Fixes SOAP issues that were breaking WLM login 
    (closes: #648134)
  * Standards 3.9.2 (changes: build-arch migration)

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Thu, 10 Nov 2011 10:14:30 +0100

libmsn (4.1-3) unstable; urgency=low

  * Deprecate SSLv2, adapt to gcc 4.1 (Closes #622073)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Sun, 12 Jun 2011 13:33:20 +0200

libmsn (4.1-2) unstable; urgency=low

  [Martijn van Brummelen]
  * Add hardening flags thanks to Raphael Geissert (Closes: #568830).

  [Pau Garcia i Quiles]
  * Explicitly state we use source format 1.0.
  * Update to Standards-Version 3.9.1.0, no changes required.
  * Add lintian override for shlibs-calls-exit (it's in an 3rd-party file,
    and according to upstream it's a never-used code path).
  * Prepare for DM application: add "DM-Upload-Allowed: yes".

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Sat, 19 Feb 2011 13:32:10 +0100

libmsn (4.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Sat, 01 May 2010 23:20:14 +0300

libmsn (4.1-1.1) experimental; urgency=low

  * Non-maintainer upload.
  * Sponsor-nmu to fix broken package.
  * Add dh_installchangelogs

 -- Sune Vuorela <debian@pusling.com>  Fri, 30 Apr 2010 21:14:31 +0200

libmsn (4.1-1) experimental; urgency=low

  * New upstream release
  * Upstream bumped soname, therefore binary package is now libmsn0.3
  * Add ${misc:Depends} to libmsn0.3-dbg
  * Remove dh_installchangelogs because upstream removed changelog
  * Install pkg-config file libmsn.pc, thus closing bug 564734

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Sun, 24 Jan 2010 14:16:58 +0100

libmsn (4.0-2) unstable; urgency=low

  * Upload to unstable

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Sun, 10 Jan 2010 23:14:29 +0100

libmsn (4.0-1) experimental; urgency=low

  * New upstream release
  * Bump standards to 3.8.3.0 (no changes required)
  * Add libsiren license to copyright file
  * Bump shlibs and enable LIBMSN_INBOX_URL (which breaks API and ABI)
    because ABI was broken anyway due to a method (getInboxUrl()) and data 
    member (login_time, MSPAuth, sid, kv) additions to 
    NotificationServerConnection. This happened in beta7, which I did not
    package because I was too busy at the time :-(
  * Binary packages are now libmsn0.2, libmsn0.2-dbg, etc

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Sun, 10 Nov 2009 20:02:27 +0100

libmsn (4.0~beta6-1) unstable; urgency=low

  * New upstream beta release
  * Remove patch for buffer overflow, as it is now included upstream. 
  * Remove build-dependency on quilt, as it is no longer needed because
    there are no patches to be applied.
  * Bump shlibs due to bugfix in MSNClientInformationFields enum

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Wed, 10 Jun 2009 11:58:32 +0200

libmsn (4.0~beta5-1) unstable; urgency=low

  * New upstream beta release
  * Move the -dbg package to the debug section
  * Add patch from Ubuntu to fix potential buffer overflow
    ( 02-avoid_potential_buffer_overrun.diff , LP 308060 )
  * Add build-dependency on quilt, for the patch above
  * Bump standards to 3.8.1 (no changes needed)
  * Bump shlibs dependency to beta5, as this is the first version without
    the potential buffer overflow

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Mon, 18 May 2009 12:51:14 +0200

libmsn (4.0~beta4-1) unstable; urgency=low

  * New upstream beta release

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Thu, 12 Feb 2009 22:01:35 +0100

libmsn (4.0~beta3-1) unstable; urgency=low

  * New upstream release

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Sun, 28 Jan 2009 02:41:24 +0100

libmsn (4.0~beta2-1) unstable; urgency=low
 
  +++ Changes by Pau Garcia i Quiles:

  * New upstream beta release
  
  +++ Changes by Sune Vuorela:
  
  * Make libmsn-dev depend on libssl-dev.
  * Add the copyright holders from cmake/ to copyright file.

 -- Sune Vuorela <debian@pusling.com>  Sun, 25 Jan 2009 19:04:25 +0100

libmsn (4.0~beta1-1) unstable; urgency=low

  * Initial release (Closes: #505795)

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Sat, 15 Nov 2008 16:29:28 +0100

=== debian/control ===
Source: libmsn
Priority: optional
Maintainer: Pau Garcia i Quiles <pgquiles@elpauer.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6.0.7), cmake, libssl-dev, hardening-wrapper
Standards-Version: 3.9.3
Section: libs
Homepage: http://libmsn.sourceforge.net

Package: libmsn0.3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-level C++ library for MSN Messenger [runtime]
 The libmsn library is a C++ library for Microsoft's MSN Messenger
 service. It provides a high-level interface that allows an application 
 to access instant messaging features with ease.

Package: libmsn0.3-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libmsn0.3 (= ${binary:Version}), ${misc:Depends}
Description: high-level C++ library for MSN Messenger [debug]
 The libmsn library is a C++ library for Microsoft's MSN Messenger
 service. It provides a high-level interface that allows an application 
 to access instant messaging features with ease.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the libmsn package.

Package: libmsn-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmsn0.3 (= ${binary:Version}), libssl-dev
Description: high-level C++ library for MSN Messenger [devel]
 The libmsn library is a C++ library for Microsoft's MSN Messenger
 service. It provides a high-level interface that allows an application 
 to access instant messaging features with ease.
 .
 This package contains development files for building software that uses the
 libmsn library.

## libmsn 4.2.1

=== debian/changelog ===
libmsn (4.2.1-0ubuntu2) quantal; urgency=low

  * Add fix-ftbfs-gcc4.7.diff from Debian.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 24 Sep 2012 18:51:35 +0200

libmsn (4.2.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * Drop kubuntu_01_install_xmlparser_header.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 09 Dec 2011 11:33:13 +0000

libmsn (4.2-1ubuntu1) precise; urgency=low

  * Add kubuntu_01_install_xmlparser_header.diff to install xmlParser.h
    header now used in version 4.2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Nov 2011 20:55:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libmsn
 Priority: optional
-Maintainer: Pau Garcia i Quiles <pgquiles@elpauer.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pau Garcia i Quiles <pgquiles@elpauer.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 6.0.7), cmake, libssl-dev, hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://libmsn.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# enable the hardening wrapper
DEB_BUILD_HARDENING = 1
# but disable PIE
DEB_BUILD_HARDENING_PIE = 0
export DEB_BUILD_HARDENING DEB_BUILD_HARDENING_PIE

builddir/Makefile:
	dh_testdir
	mkdir -p builddir
	cd builddir && cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)" \
				-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
				-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
				-DCMAKE_SKIP_RPATH:BOOL=ON

build-arch: build
build-indep: build
build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	cd builddir && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp/ install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp/
	dh_lintian
	dh_link
	dh_strip --dbg-package=libmsn0.3-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -plibmsn0.3 -V'libmsn0.3 (>=4.1~)'
	dh_shlibdeps -a
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/libmsn/libmsn-([\d\.]+)-([a-zA-Z0-9]*)\.tar\.bz2

## libmsn 4.2.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 # but disable PIE
 DEB_BUILD_HARDENING_PIE = 0
 export DEB_BUILD_HARDENING DEB_BUILD_HARDENING_PIE
+
+get-orig-source:
+	$(CURDIR)/debian/get-orig-source.sh
 
 builddir/Makefile:
 	dh_testdir
@@ -71,10 +74,10 @@
 	dh_install --sourcedir=debian/tmp/
 	dh_lintian
 	dh_link
-	dh_strip --dbg-package=libmsn0.3-dbg
+	dh_strip --dbg-package=libmsn0.3v5-dbg
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -plibmsn0.3 -V'libmsn0.3 (>=4.1~)'
+	dh_makeshlibs -plibmsn0.3v5 -V'libmsn0.3v5 (>=4.1~)'
 	dh_shlibdeps -a
 	dh_installdeb
 	dh_gencontrol

## libmsn 4.2.1+dfsg

=== msntest/CMakeLists.txt ===
set(msntest_SRCS
    msntest.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR})

add_executable (msntest ${msntest_SRCS} ) 
target_link_libraries(msntest crypto msn ssl)

########### install files ###############
install(TARGETS msntest DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== debian/changelog ===
libmsn (4.2.1+dfsg-1) unstable; urgency=medium

  * Package new upstream version, which was actually the same as 4.2-2
  * Drop patch 01_install_xmlParser_header (already in 4.2.1, was the only
    difference from 4.2 to 4.2.1)
  * Rename library packages for g++5 ABI transition (thanks to Steve
    Langasek in 4.2.1-0ubuntu3 and Matthas Klose in 4.2.1-0ubuntu{4,5} for
    the patches)
  * Add get-source.sh and repackage the source to get rid of the
    already-generated Doxygen docs, which happen to contain jquery.js
  * Standards 3.9.6.1 (no changes required)

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Mon, 31 Aug 2015 09:38:21 +0200

=== debian/control ===
Source: libmsn
Priority: optional
Maintainer: Pau Garcia i Quiles <pgquiles@elpauer.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6.0.7), cmake, libssl-dev, hardening-wrapper
Standards-Version: 3.9.6.1
Section: libs
Homepage: http://libmsn.sourceforge.net

Package: libmsn0.3v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmsn0.3
Replaces: libmsn0.3
Description: high-level C++ library for MSN Messenger [runtime]
 The libmsn library is a C++ library for Microsoft's MSN Messenger
 service. It provides a high-level interface that allows an application 
 to access instant messaging features with ease.

Package: libmsn0.3v5-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libmsn0.3v5 (= ${binary:Version}), ${misc:Depends}
Conflicts: libmsn0.3-dbg
Replaces: libmsn0.3-dbg
Description: high-level C++ library for MSN Messenger [debug]
 The libmsn library is a C++ library for Microsoft's MSN Messenger
 service. It provides a high-level interface that allows an application 
 to access instant messaging features with ease.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the libmsn package.

Package: libmsn-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmsn0.3v5 (= ${binary:Version}), libssl-dev
Description: high-level C++ library for MSN Messenger [devel]
 The libmsn library is a C++ library for Microsoft's MSN Messenger
 service. It provides a high-level interface that allows an application 
 to access instant messaging features with ease.
 .
 This package contains development files for building software that uses the
 libmsn library.

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/g,dversionmangle=s/\+dfsg$// \
  http://sf.net/libmsn/libmsn-(\d\.\d\.\d[-a-z0-9]*)\.tar\.bz2 \
  debian /bin/sh debian/get-orig-source.sh
